import { relations } from "drizzle-orm/relations";
import { balAccounts, builds } from "./schema";

export const buildsRelations = relations(builds, ({one}) => ({
	balAccount: one(balAccounts, {
		fields: [builds.accountId],
		references: [balAccounts.id]
	}),
}));

export const balAccountsRelations = relations(balAccounts, ({many}) => ({
	builds: many(builds),
}));